## revpi-base-files 1.2.1

=== CMakeLists.txt ===
# SPDX-License-Identifier: GPL-2.0-or-later
#
# SPDX-FileCopyrightText: 2024-2025 KUNBUS GmbH

cmake_minimum_required(VERSION 3.13)

project(revpi-base-files LANGUAGES NONE)

include(GNUInstallDirs)

option(ENABLE_TESTS "Build and enable running tests" OFF)

configure_file(Kyuafile Kyuafile COPYONLY)

add_subdirectory(avahi-services)
add_subdirectory(contrib)
add_subdirectory(interfaces)
add_subdirectory(logrotate)
add_subdirectory(man)
add_subdirectory(sysctl)
add_subdirectory(systemd)
add_subdirectory(udev)
add_subdirectory(xorg)

if(ENABLE_TESTS)
	enable_testing()

	find_program(kyua_exec NAMES kyua REQUIRED)
	find_program(atf_sh_exec NAMES atf-sh REQUIRED)
	add_test(
		NAME kyua
		COMMAND sh -c "kyua test --kyuafile Kyuafile --build-root ${CMAKE_CURRENT_BINARY_DIR}; \
			RC=$?; \
			kyua report-junit --output report.xml; \
			exit $RC"
	)
	add_subdirectory(tests)
endif(ENABLE_TESTS)

=== avahi-services/CMakeLists.txt ===
# SPDX-License-Identifier: GPL-2.0-or-later
#
# SPDX-FileCopyrightText: 2024 KUNBUS GmbH

install(FILES revpi-ssh.service
	DESTINATION ${CMAKE_INSTALL_SYSCONFDIR}/avahi
)

=== contrib/CMakeLists.txt ===
# SPDX-License-Identifier: GPL-2.0-or-later
#
# SPDX-FileCopyrightText: 2024 KUNBUS GmbH

install(FILES 50-compact-group.rules
	DESTINATION ${CMAKE_INSTALL_DATADIR}/doc/${CMAKE_PROJECT_NAME}
)

=== interfaces/CMakeLists.txt ===
# SPDX-License-Identifier: GPL-2.0-or-later
#
# SPDX-FileCopyrightText: 2024 KUNBUS GmbH

install(FILES pibridge.conf
	DESTINATION ${CMAKE_INSTALL_SYSCONFDIR}/network/interfaces.d
)

=== logrotate/CMakeLists.txt ===
# SPDX-License-Identifier: GPL-2.0-or-later
#
# SPDX-FileCopyrightText: 2024 KUNBUS GmbH

install(FILES revpi
	DESTINATION ${CMAKE_INSTALL_SYSCONFDIR}/logrotate.d
)

=== man/CMakeLists.txt ===
# SPDX-License-Identifier: GPL-2.0-or-later
#
# SPDX-FileCopyrightText: 2024 KUNBUS GmbH

set(MAN_PAGE_8 pibridge-shutdown.8)

add_custom_target(
	${MAN_PAGE_8} ALL
	COMMAND scdoc < ${CMAKE_SOURCE_DIR}/man/${MAN_PAGE_8}.scd > ${PROJECT_BINARY_DIR}/${MAN_PAGE_8}
	DEPENDS ${CMAKE_SOURCE_DIR}/man/${MAN_PAGE_8}.scd
)

install(FILES ${PROJECT_BINARY_DIR}/${MAN_PAGE_8}
	DESTINATION ${CMAKE_INSTALL_MANDIR}/man8/
)

=== sysctl/CMakeLists.txt ===
# SPDX-License-Identifier: GPL-2.0-or-later
#
# SPDX-FileCopyrightText: 2024 KUNBUS GmbH

install(FILES 50-revpi-network-hardening.conf
	DESTINATION ${CMAKE_INSTALL_SYSCONFDIR}/sysctl.d
)

=== systemd/CMakeLists.txt ===
# SPDX-License-Identifier: GPL-2.0-or-later
#
# SPDX-FileCopyrightText: 2024 KUNBUS GmbH

include(FindPkgConfig)
pkg_check_modules(SYSTEMD REQUIRED "systemd")
pkg_get_variable(SYSTEMD_SYSTEMUNITDIR "systemd" "systemdsystemunitdir")

install(FILES pileft-quirks.service piright-quirks.service setup_cpu_affinity.service
	DESTINATION ${SYSTEMD_SYSTEMUNITDIR}
)

install(FILES pibridge-shutdown
	DESTINATION ${CMAKE_INSTALL_SBINDIR}
)

install(FILES setup_cpu_affinity
	DESTINATION ${CMAKE_INSTALL_SBINDIR}
)

=== tests/CMakeLists.txt ===
# SPDX-License-Identifier: GPL-2.0-or-later
#
# SPDX-FileCopyrightText: 2025 KUNBUS GmbH

set(copy_files
	Kyuafile
	interfaces_test
	Kyuafile
	sysctl_test
)

foreach(file IN LISTS copy_files)
	configure_file(${file} ${file} COPYONLY)
endforeach()

=== udev/CMakeLists.txt ===
# SPDX-License-Identifier: GPL-2.0-or-later
#
# SPDX-FileCopyrightText: 2024 KUNBUS GmbH

include(FindPkgConfig)
pkg_check_modules(UDEV REQUIRED "udev")
pkg_get_variable(UDEV_UDEVDIR "udev" "udevdir")

set(RULES 50-revpi.rules 80-revpi-cpufreq.rules)

foreach(rule IN LISTS RULES)
  install(FILES ${rule}
    DESTINATION ${UDEV_UDEVDIR}/rules.d
  )
endforeach()

install(PROGRAMS revpi_mac
  DESTINATION ${UDEV_UDEVDIR}
)

=== xorg/CMakeLists.txt ===
# SPDX-License-Identifier: GPL-2.0-or-later
#
# SPDX-FileCopyrightText: 2025 KUNBUS GmbH

install(FILES 99-v3d.conf
  DESTINATION ${CMAKE_INSTALL_SYSCONFDIR}/X11/xorg.conf.d/
)

=== debian/changelog ===
revpi-base-files (1.2.1-1+deb12+1) bookworm; urgency=medium

  [ Nicolai Buchwitz ]
  * fix(udev): Ensure pibridge quirks is triggered

 -- Thomas Böhler <t.boehler@kunbus.com>  Tue, 04 Nov 2025 14:09:33 +0100

revpi-base-files (1.2.0-1+deb12+1) bookworm; urgency=medium

  [ Nicolai Buchwitz ]
  * fix(udev): Make tty paths more robust
  * feat(udev): Add Core S and Connect S variants
  * fix(udev): Make pcie eth paths more robust

 -- Thomas Böhler <t.boehler@kunbus.com>  Tue, 24 Jun 2025 09:12:17 +0200

revpi-base-files (1.1.1-1+deb12+2) bookworm; urgency=medium

  * fix(deb): move pkgs in Suggests to Recommends
  * fix(deb): add xz-utils to recommended packages
  * fix(deb): use correct spelling of "Revolution Pi"
  * fix: set correct permissions in faulty images

 -- Thomas Böhler <t.boehler@kunbus.com>  Wed, 28 May 2025 13:03:51 +0200

revpi-base-files (1.1.1-1+deb12+1) bookworm; urgency=medium

  [ Nicolai Buchwitz ]
  * fix(systemd): Don't set cpu affinitiy on old CM

 -- Thomas Böhler <t.boehler@kunbus.com>  Fri, 21 Feb 2025 13:35:06 +0100

revpi-base-files (1.1.0-1+deb12+1) bookworm; urgency=medium

  * feat(xorg): add configuration for VC4 GPU on CM5 module
  * feat(deb): Use branch 1.x as upstream
  * feat(deb): Update control file with revpi-ui dependencies

 -- Sven Sager <s.sager@kunbus.com>  Tue, 11 Feb 2025 10:32:34 +0100

revpi-base-files (1.0.0-1+deb12+1) bookworm; urgency=medium

  [ Nicolai Buchwitz ]
  * fix(systemd): Don't fail on unknown irq target
  * feat(systemd): Check IRQ pinning before setting it
  * feat(systemd): Set IRQ affinity of mmc1 on CM5

 -- Thomas Böhler <t.boehler@kunbus.com>  Fri, 07 Feb 2025 13:31:13 +0100

revpi-base-files (0.7.0-1+deb12+1) bookworm; urgency=medium

  * feat: add system service to set CPU affinity for interrupts

 -- Lino Sanfilippo <l.sanfilippo@kunbus.com>  Fri, 24 Jan 2025 11:41:01 +0000

revpi-base-files (0.6.0-1+deb12+1) bookworm; urgency=medium

  [ Thomas Böhler ]
  * feat(udev): set cpufreq governor to performance

 -- Ramiro Gsponer <r.gsponer@kunbus.com>  Wed, 04 Dec 2024 08:31:40 +0100

revpi-base-files (0.5.1-1+deb12+1) bookworm; urgency=medium

  [ Nicolai Buchwitz ]
  * fix(logrotate): Fix path of logrotate config
  * chore(logrotate): Rename revpi config file

  [ Thomas Böhler ]
  * test(interfaces): check presence of all interfaces
  * test(sysctl): check for invalid keys

  [ Nicolai Buchwitz ]
  * feat(deb): Add logrotate as suggested package

  [ Sven Sager ]
  * fix(deb): Remove wrong placed configuration file
  * fix(deb): Ignore ci commits in changelog file

 -- Sven Sager <s.sager@kunbus.com>  Tue, 26 Nov 2024 08:28:26 +0100

revpi-base-files (0.5.0-1+deb12+1) bookworm; urgency=medium

  [ Thomas Böhler ]
  * build: introduce CMake

  [ Nicolai Buchwitz ]
  * feat(udev): Add udev rules for RevPi Connect 5

  [ Thomas Böhler ]
  * build: introduce CMake
  * feat(deb): update debianisation for upstream CMake

  [ Nicolai Buchwitz ]
  * fix: Add legacy RS485 alias for Connect 5
  * fix(connect5): Assign last mac address to WLAN

  [ Philipp Rosenberger ]
  * feat(udev): Add support for Connect 5 (2x)CAN

 -- Sven Sager <s.sager@kunbus.com>  Mon, 11 Nov 2024 09:47:33 +0100

revpi-base-files (0.4.1-1+revpi12+1) bookworm; urgency=medium

  * fix(udev): Re-add legacy names for RS485

 -- Nicolai Buchwitz <n.buchwitz@kunbus.com>  Fri, 09 Aug 2024 10:23:46 +0200

revpi-base-files (0.4.0-1+revpi12+2) bookworm; urgency=medium

  * fix(deb): Depend on iproute2 and ifupdown

 -- Nicolai Buchwitz <n.buchwitz@kunbus.com>  Fri, 12 Jul 2024 12:43:07 +0200

revpi-base-files (0.4.0-1+revpi12+1) bookworm; urgency=medium

  [ Nicolai Buchwitz ]
  * feat!: Remove disable HDMI service on Flat

  [ Thomas Böhler ]
  * feat(udev)!: Add number suffix to all RS485 devs

  [ Nicolai Buchwitz ]
  * fix(pibridge): Move quirks from -tools
  * feat(deb): Add pibridge quirks services
  * feat(deb): Add dependencies for quirks service
  * feat(deb): Break and replace revpi-tools < 4.2.2

 -- Nicolai Buchwitz <n.buchwitz@kunbus.com>  Fri, 12 Jul 2024 11:20:12 +0200

revpi-base-files (0.3.0-1+revpi12+1) bookworm; urgency=medium

  [ Thomas Böhler ]
  * ci: Add commit linting

  [ Philipp Rosenberger ]
  * chore(udev): Optimize udev rules

  [ Thomas Böhler ]
  * feat(udev)!: Remove Compact NVRAM rule
  * feat(udev)!: Remove Compact chgrp pi
  * feat: Add example Compact udev for AIO/LED perms
  * feat(deb): Install example rule into system

  [ Sven Sager ]
  * fix(avahi): Move copyright to license file

  [ Thomas Böhler ]
  * fix(pibridge): pibridge.conf moves from -tools
  * feat(deb): Install pibridge.conf
  * feat(deb): Order the .install's alphabetically
  * feat(deb): Break and replace revpi-tools < 4.2.1

 -- Thomas Böhler <t.boehler@kunbus.com>  Mon, 01 Jul 2024 16:34:47 +0200

revpi-base-files (0.2.0-1+revpi12+1) bookworm; urgency=medium

  [ Thomas Böhler ]
  * fix(udev): Always assign Connect4 eth1

  [ Nicolai Buchwitz ]
  * feat(udev): Add rules for the RevPi Flat S 2022

  [ Thomas Böhler ]
  * feat(modprobe)!: remove autoloading of picontrol
  * fix(deb): Don't install removed modprobe config

 -- Thomas Böhler <t.boehler@kunbus.com>  Fri, 05 Apr 2024 13:29:05 +0200

revpi-base-files (0.1.0-1+revpi12+2) bookworm; urgency=medium

  [ Nicolai Buchwitz ]
  * fix(debian): Add suggestions to package

  [ Thomas Böhler ]
  * fix(deb): Install picontrol.conf
  * fix(deb): Install network hardening configuration

 -- Thomas Böhler <t.boehler@kunbus.com>  Mon, 05 Feb 2024 15:38:18 +0100

revpi-base-files (0.1.0-1+revpi12+1) bookworm; urgency=medium

  [ Thomas Böhler ]
  * Initial release.
  * feat: Add logrotate configuration files
  * build: Add CMake for installation of files
  * fix: Drop revpi-rsyslog.conf
  * refactor: Remove CMake
  * Install files using dh_install
  * chore: Add correct license information
  * feat: Add various files from revpi-tools
  * feat: Install additional configuration files


=== debian/control ===
Source: revpi-base-files
Section: electronics
Priority: important
Maintainer: KUNBUS GmbH <support@kunbus.com>
Rules-Requires-Root: no
Homepage: https://revolutionpi.com/
Vcs-Browser: https://gitlab.com/revolutionpi/revpi-base-files
Vcs-Git: https://gitlab.com/revolutionpi/revpi-base-files.git -b debian/bookworm
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 pkg-config,
 scdoc,
 systemd,
 udev,
Standards-Version: 4.6.2

Package: revpi-base-files
Architecture: all
Depends:
 ${misc:Depends},
 ifupdown,
 iproute2,
Breaks:
 revpi-tools (<< 4.2.2),
 revpi-ui (<< 0.1.3),
Replaces:
 revpi-tools (<< 4.2.2),
 revpi-ui (<< 0.1.3),
Recommends:
 avahi-daemon,
 logrotate,
 systemd,
 udev,
 xz-utils,
Description: Revolution Pi base system miscellaneous files
 This package contains several important files for a Revolution Pi system.
 .
 Revolution Pi is a set of IoT products based on the Raspberry Pi and geared
 towards industrial usage.

## revpi-base-files 1.3.1

=== udev/CMakeLists.txt ===
--- 
+++ 
@@ -14,6 +14,6 @@
   )
 endforeach()
 
-install(PROGRAMS revpi_mac
+install(PROGRAMS revpi_mac revpi-rename-iface
   DESTINATION ${UDEV_UDEVDIR}
 )

=== debian/changelog ===
revpi-base-files (1.3.1-1+deb12+1) bookworm; urgency=medium

  [ Nicolai Buchwitz ]
  * fix(systemd): Support multiple IRQs for pl011
  * fix(systemd): add udev-settle dependency
  * fix(udev): stable network iface renaming

 -- Thomas Böhler <t.boehler@kunbus.com>  Tue, 10 Feb 2026 15:00:19 +0100

revpi-base-files (1.3.0-1+deb12+1) bookworm; urgency=medium

  [ Nicolai Buchwitz ]
  * feat(udev): simplify matching with wildcards

  [ Erik Sallmann ]
  * fix(avahi): fix ssh avahi service location

 -- Thomas Böhler <t.boehler@kunbus.com>  Wed, 26 Nov 2025 08:31:09 +0100

## revpi-base-files 2.0.0

=== systemd/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,15 @@
 # SPDX-License-Identifier: GPL-2.0-or-later
 #
-# SPDX-FileCopyrightText: 2024 KUNBUS GmbH
+# SPDX-FileCopyrightText: 2024-2025 KUNBUS GmbH
 
 include(FindPkgConfig)
 pkg_check_modules(SYSTEMD REQUIRED "systemd")
+pkg_get_variable(SYSTEMD_UTILDIR "systemd" "systemdutildir")
 pkg_get_variable(SYSTEMD_SYSTEMUNITDIR "systemd" "systemdsystemunitdir")
+
+install(FILES disable-power-button.conf
+	DESTINATION ${SYSTEMD_UTILDIR}/logind.conf.d/
+)
 
 install(FILES pileft-quirks.service piright-quirks.service setup_cpu_affinity.service
 	DESTINATION ${SYSTEMD_SYSTEMUNITDIR}

=== debian/changelog ===
revpi-base-files (2.0.0-1+deb13+1) trixie; urgency=medium

  * Initial release for trixie

 -- Thomas Böhler <t.boehler@kunbus.com>  Wed, 03 Dec 2025 15:31:46 +0100

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
 Rules-Requires-Root: no
 Homepage: https://revolutionpi.com/
 Vcs-Browser: https://gitlab.com/revolutionpi/revpi-base-files
-Vcs-Git: https://gitlab.com/revolutionpi/revpi-base-files.git -b debian/bookworm
+Vcs-Git: https://gitlab.com/revolutionpi/revpi-base-files.git -b debian/trixie
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
- pkg-config,
+ pkgconf,
  scdoc,
- systemd,
+ systemd-dev,
  udev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 
 Package: revpi-base-files
 Architecture: all

## revpi-base-files 2.0.1

=== debian/changelog ===
revpi-base-files (2.0.1-1+deb13+1) trixie; urgency=medium

  * fix: remove ttyRS485 symlink
  * chore(deb): update debian/copyright years

 -- Thomas Böhler <t.boehler@kunbus.com>  Mon, 12 Jan 2026 09:16:39 +0100
